use crate::util::{self, api};
use anyhow::Result;
use reqwest::Client;

pub async fn run(http: &Client) -> Result<()> {
    let users = api::users(http).await?;
    let mut table = util::list_table();

    for u in users {
        table.add_row(u.into())
    }

    println!("{}", table.render());

    Ok(())
}
